﻿using Avalonia.Controls;
using avalonia_auth_practice_9.Models;
using ReactiveUI;

namespace avalonia_auth_practice_9.ViewModels
{
    public class MainWindowViewModel : ViewModelBase
    {
        //https://github.com/dotnet/EntityFramework.Docs/blob/main/entity-framework/core/cli/dotnet.md?ysclid=m3mxalvamy442286423

        public static MainWindowViewModel Instance;
        public static _43pChernov2Context database = new _43pChernov2Context();

        public MainWindowViewModel()
        {
            Instance = this;
        }

        private UserControl _currantPage = new AuthPage();

        public UserControl CurrentantPage
        {
            get => _currantPage;
            set => this.RaiseAndSetIfChanged(ref _currantPage, value);
        }
    }
}
