﻿

using avalonia_auth_practice_9.Models;
using System.Collections.Generic;
using System.Linq;

namespace avalonia_auth_practice_9.ViewModels
{
    internal class AuthPageVm : ViewModelBase
    {
        private string _login;
        private string _password;
        private User _user;

        public bool AdminRegistration => adminExists();

        private List<string> statusList = new List<string>() { "", "Вход", "Регистрация" };
        private List<Role> _roles = MainWindowViewModel.database.Roles.ToList();

        private bool adminExists()
        {
            return MainWindowViewModel.database.Users.Any(x => x.Role == _roles.FirstOrDefault(x => x.Role1 == "Администратор").Id).Equals(true);
        }

    }
}
