﻿using System.Security.Cryptography;
using System.Text;
using System.Text.RegularExpressions;

namespace avalonia_auth_practice_9.Hash
{
    public static class MyPassword
    {
        public static byte[] hashToMD5(string data)
        {
            byte[] result = MD5.HashData(Encoding.ASCII.GetBytes(data));

            return result;
        }

        public static string CheckCorrctPassword(string data)
        {
            string pattern = @".[A-Za-z0-9]";
            Regex regex = new Regex(pattern);

            if (regex.IsMatch(data))
            {
                pattern = @"^[^\d]";

                if (regex.IsMatch(data))
                {
                    pattern = @"(\p{Lu}\w*?){2,}";

                    if (regex.IsMatch(data))
                    {
                        pattern = @"(\p{Ll}\w*?){3,}";

                        if (regex.IsMatch(data))
                        {
                            pattern = @"(\d\w*?){2,}";

                            if (regex.IsMatch(data))
                            {
                                pattern = @"^.{8,}$";

                                if (regex.IsMatch(data))
                                {
                                    return string.Empty;
                                }
                                else
                                {
                                    return "В пароле должно быть минимум 8 символов";
                                }
                            }
                            else
                            {
                                return "В пароле должно быть минимум 2 цифр";
                            }
                        }
                        else
                        {
                            return "В пароле должно быть минимум 3 строчных буквы";
                        }
                    }
                    else
                    {
                        return "В пароле должно быть минимум 2 заглавных буквы";
                    }
                }
                else
                {
                    return "Первым символом пароля должна быть буква!";
                }
            }
            else
            {
                return "В пароле должны быть только цифры и буквы латинского алфавита!";
            }

            return string.Empty;
        }
    }
}
